Debian Bug report logs - #699589
FTBFS if Python 3.2 is installed in chroot

version graph

Package: src:lsb; Maintainer for src:lsb is Debian LSB Team <debian-lsb@lists.debian.org>;

Reported by: peter green <plugwash@p10link.net>

Date: Sat, 2 Feb 2013 07:15:02 UTC

Severity: normal

Tags: patch

Merged with 673586

Found in version lsb/4.1+Debian4

Fixed in version lsb/4.1+Debian10

Done: Didier Raboud <odyx@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian LSB Team <debian-lsb@lists.debian.org>:
Bug#699589; Package lsb. (Sat, 02 Feb 2013 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
New Bug report received and forwarded. Copy sent to Debian LSB Team <debian-lsb@lists.debian.org>. (Sat, 02 Feb 2013 07:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lsb ftbfs in wheezy, testsuite problems.
Date: Sat, 02 Feb 2013 07:12:49 +0000
Package: lsb
Severity: important

Attempting to build lsb in a wheezy amd64 chroot I get

PYTHONPATH=. python3.2 test/test_initdutils.py -vv
Traceback (most recent call last):
 File "test/test_initdutils.py", line 4, in <module>
   import initdutils as iu
 File "/lsb-4.1+Debian8/initdutils.py", line 18
   raise ValueError, 'need a file or string'
                   ^
SyntaxError: invalid syntax
make[1]: *** [test-python3.2] Error 1
make[1]: Leaving directory `/lsb-4.1+Debian8'
make: *** [build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
Build command 'cd lsb-4.1+Debian8 && dpkg-buildpackage -b -uc' failed.
E: Child process failed
root@debian:/#



Information forwarded to debian-bugs-dist@lists.debian.org, Debian LSB Team <debian-lsb@lists.debian.org>:
Bug#699589; Package lsb. (Sat, 02 Feb 2013 07:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter green <plugwash@p10link.net>:
Extra info received and forwarded to list. Copy sent to Debian LSB Team <debian-lsb@lists.debian.org>. (Sat, 02 Feb 2013 07:30:07 GMT) Full text and rfc822 format available.

Message #10 received at 699589@bugs.debian.org (full text, mbox):

From: peter green <plugwash@p10link.net>
To: 699589@bugs.debian.org
Cc: control@bugs.debian.org
Subject: re: lsb ftbfs in wheezy, testsuite problems.
Date: Sat, 02 Feb 2013 07:23:19 +0000
severity 699589 serious
thanks

frbfs on a release architecture is serious (sorry for screwing this up 
in the inital report)



Severity set to 'serious' from 'important' Request was from peter green <plugwash@p10link.net> to control@bugs.debian.org. (Sat, 02 Feb 2013 07:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LSB Team <debian-lsb@lists.debian.org>:
Bug#699589; Package lsb. (Sat, 02 Feb 2013 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Gilbert <mgilbert@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LSB Team <debian-lsb@lists.debian.org>. (Sat, 02 Feb 2013 23:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 699589@bugs.debian.org (full text, mbox):

From: Michael Gilbert <mgilbert@debian.org>
To: 699589@bugs.debian.org, 699589-submitter@bugs.debian.org
Subject: re: lsb ftbfs in wheezy, testsuite problems.
Date: Sat, 2 Feb 2013 18:40:44 -0500
[Message part 1 (text/plain, inline)]
control: tag -1 patch

> Attempting to build lsb in a wheezy amd64 chroot I get
>
> PYTHONPATH=. python3.2 test/test_initdutils.py -vv
> Traceback (most recent call last):
>  File "test/test_initdutils.py", line 4, in <module>
>    import initdutils as iu
>  File "/lsb-4.1+Debian8/initdutils.py", line 18
>   raise ValueError, 'need a file or string'

This is because python 3 made exceptions functions.  I've attached a
patch that fixes this by conflicting with python3-minimal.  This fixes
the issue since without that PY3VERSIONS will not be populated, and
the tests using python3 will not run.

Best wishes,
Mike
[lsb.patch (application/octet-stream, attachment)]

Added tag(s) patch. Request was from Michael Gilbert <mgilbert@debian.org> to 699589-submit@bugs.debian.org. (Sat, 02 Feb 2013 23:45:03 GMT) Full text and rfc822 format available.

Message sent on to peter green <plugwash@p10link.net>:
Bug#699589. (Sat, 02 Feb 2013 23:45:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian LSB Team <debian-lsb@lists.debian.org>:
Bug#699589; Package lsb. (Sun, 03 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian LSB Team <debian-lsb@lists.debian.org>. (Sun, 03 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Message #27 received at 699589@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: peter green <plugwash@p10link.net>, 699589@bugs.debian.org
Subject: Re: lsb ftbfs in wheezy, testsuite problems.
Date: Sun, 3 Feb 2013 11:03:22 +0100
Control: severity -1 normal
Control: reassign -1 src:lsb
Control: merge 673586 -1
Control: retitle 673586 FTBFS if Python 3.2 is installed in chroot

Le samedi, 2 février 2013 08.12:49, peter green a écrit :
> Attempting to build lsb in a wheezy amd64 chroot I get
> 
> PYTHONPATH=. python3.2 test/test_initdutils.py -vv
> Traceback (most recent call last):
>   File "test/test_initdutils.py", line 4, in <module>
>     import initdutils as iu
>   File "/lsb-4.1+Debian8/initdutils.py", line 18
>     raise ValueError, 'need a file or string'
>                     ^
> SyntaxError: invalid syntax

Hi peter,

as highlighted in 673586, this happens because your chroot has python3.2 
installed which is not listed in the Build-Depends (unclean chroot). That's 
clearly a bug, but definitely not serious to my eyes.

Cheers,

OdyX



Severity set to 'normal' from 'serious' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 699589-submit@bugs.debian.org. (Sun, 03 Feb 2013 10:21:03 GMT) Full text and rfc822 format available.

Bug reassigned from package 'lsb' to 'src:lsb'. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 699589-submit@bugs.debian.org. (Sun, 03 Feb 2013 10:21:04 GMT) Full text and rfc822 format available.

Marked as found in versions lsb/4.1+Debian4. Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 699589-submit@bugs.debian.org. (Sun, 03 Feb 2013 10:21:04 GMT) Full text and rfc822 format available.

Merged 673586 699589 Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 699589-submit@bugs.debian.org. (Sun, 03 Feb 2013 10:21:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'FTBFS if Python 3.2 is installed in chroot' from 'lsb ftbfs in wheezy, testsuite problems.' Request was from "Didier 'OdyX' Raboud" <odyx@debian.org> to 699589-submit@bugs.debian.org. (Sun, 03 Feb 2013 10:21:07 GMT) Full text and rfc822 format available.

Message #38 received at 673586-close@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: 673586-close@bugs.debian.org
Subject: Bug#673586: fixed in lsb 4.1+Debian10
Date: Wed, 15 May 2013 11:18:29 +0000
Source: lsb
Source-Version: 4.1+Debian10

We believe that the bug you reported is fixed in the latest version of
lsb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673586@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Didier Raboud <odyx@debian.org> (supplier of updated lsb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 15 May 2013 11:06:44 +0200
Source: lsb
Binary: lsb-core lsb-graphics lsb-cxx lsb-desktop lsb-languages lsb-multimedia lsb-printing lsb-security lsb lsb-base lsb-release lsb-invalid-mta
Architecture: source amd64 all
Version: 4.1+Debian10
Distribution: unstable
Urgency: low
Maintainer: Debian LSB Team <debian-lsb@lists.debian.org>
Changed-By: Didier Raboud <odyx@debian.org>
Description: 
 lsb        - Linux Standard Base 4.1 support package
 lsb-base   - Linux Standard Base 4.1 init script functionality
 lsb-core   - Linux Standard Base 4.1 core support package
 lsb-cxx    - Linux Standard Base 4.1 C++ support package
 lsb-desktop - Linux Standard Base 4.1 Desktop support package
 lsb-graphics - Linux Standard Base 4.1 graphics support package
 lsb-invalid-mta - Linux Standard Base sendmail dummy
 lsb-languages - Linux Standard Base 4.1 Runtime Languages package
 lsb-multimedia - Linux Standard Base 4.1 Multimedia package
 lsb-printing - Linux Standard Base 4.1 Printing package
 lsb-release - Linux Standard Base version reporting utility
 lsb-security - Linux Standard Base 4.1 Security package
Closes: 673586 708337
Changes: 
 lsb (4.1+Debian10) unstable; urgency=low
 .
   [ Steve Langasek ]
   * Fix the remaining problems of initdutils.py python3 compatibility
     (Closes: #673586)
   * Revert unnecessary use of /bin/echo -n (Closes: #708337)
 .
   [ Didier Raboud ]
   * Compress source with xz
Checksums-Sha1: 
 ad0fc90cc8733c0c3394bc34eabe6916f338c299 2044 lsb_4.1+Debian10.dsc
 95538251356c63f790fb8a8c3a1618897e4cc651 119148 lsb_4.1+Debian10.tar.xz
 82623016167cc6f79a3d700fae632d6e68217fb6 43992 lsb-core_4.1+Debian10_amd64.deb
 87ff8cc22b30b89b0a4546c17cee9b28e0978a64 19060 lsb-graphics_4.1+Debian10_amd64.deb
 f01a1bb3be0c14f46d216563cd9c395a45d63a8c 19032 lsb-cxx_4.1+Debian10_amd64.deb
 e874cadbc4c387c48c3c81d0e806cef60ec3e7ef 20250 lsb-desktop_4.1+Debian10_amd64.deb
 c8f59264c378fe5c30c1f86e0c27490614be7927 19066 lsb-languages_4.1+Debian10_amd64.deb
 c89e1c07ded1f205b2d791ee1a0d48dd1bdb98ec 19032 lsb-multimedia_4.1+Debian10_amd64.deb
 d6f93e11c59177fc09b80ded87ea5a530cfc5ee8 19058 lsb-printing_4.1+Debian10_amd64.deb
 ef00a6ba180086270e330dab338fd9e859ce8bd7 19048 lsb-security_4.1+Debian10_amd64.deb
 c90af33b029e8801a60118479d9ad60de473bca2 19026 lsb_4.1+Debian10_all.deb
 93328ece8a3fb86100ffe1446dac879b0acb79aa 26464 lsb-base_4.1+Debian10_all.deb
 bf51fd4ebaa5389a328b4dfa94b0705455a50a6c 25976 lsb-release_4.1+Debian10_all.deb
 5011b406ffd59216bacc965022922d03d41f2d96 19412 lsb-invalid-mta_4.1+Debian10_all.deb
Checksums-Sha256: 
 c94b20e0cc22d0eee31e5fdd242f209f399dc06437ec41a50a5888d4f95dd475 2044 lsb_4.1+Debian10.dsc
 2da4936d00029a29de0ab0834268c71c0b65244b53bc31669fceb9f8cca82dd2 119148 lsb_4.1+Debian10.tar.xz
 e79b230d77ce67547f837f2fb509b0f464ffd85158cb6319ecc8ae62d58eea7d 43992 lsb-core_4.1+Debian10_amd64.deb
 d322dddf67f1c0bdadbc5683a8dd5cea825b16362dd6db3a9fc970482ac580b2 19060 lsb-graphics_4.1+Debian10_amd64.deb
 f3cecdec7f5295850e923e7830cf1edbf5a0b63a7940d6309da520c9c106c069 19032 lsb-cxx_4.1+Debian10_amd64.deb
 c12b8acf13fef1162266047fb6a168b8d46d174bcd64b2af44f22c8292b61138 20250 lsb-desktop_4.1+Debian10_amd64.deb
 f2614c68a0e74497828b69b8bf99606c001d25315cc33420448176bfe60f12f8 19066 lsb-languages_4.1+Debian10_amd64.deb
 45dd3a699876542c3c9f65ab980d832d59238562903186e38aa7431e7f58b7c4 19032 lsb-multimedia_4.1+Debian10_amd64.deb
 d0c4a9f80866b1cebfd3c87f69835e6b96de4d492719666d7c2bf34540d115f0 19058 lsb-printing_4.1+Debian10_amd64.deb
 65715f94b6c0a5da94c402cf87a08221082984f0fe78d583e72e3fbcf5ac43b6 19048 lsb-security_4.1+Debian10_amd64.deb
 d114a4ea45fc916b339bac41eadfa1c6bb79f9013f9efe3d5bdbeb0c385ebfdc 19026 lsb_4.1+Debian10_all.deb
 1eb90de9b9859affc2f1a51f1efb0fe353877bb476dd1db1875a931d50546dd1 26464 lsb-base_4.1+Debian10_all.deb
 09a9520d20b1f5b59ab53b02b23cb1202ada24658d79974bd44f293262504a09 25976 lsb-release_4.1+Debian10_all.deb
 248b8e113f64a621fe890442bc6e0d5027645b9eca6e0c72366b56327c11f003 19412 lsb-invalid-mta_4.1+Debian10_all.deb
Files: 
 44e5acc748637dff9c4213653913e936 2044 misc extra lsb_4.1+Debian10.dsc
 c044ffd9b417e7bcbd105e1f132b28ce 119148 misc extra lsb_4.1+Debian10.tar.xz
 a593c4e0e4871148057847d5fc85c54b 43992 misc extra lsb-core_4.1+Debian10_amd64.deb
 6c02ec20ba0cdd4f8b1bfe9c464dac38 19060 misc extra lsb-graphics_4.1+Debian10_amd64.deb
 5a1e2ee38f83fb3974b148ed87d7665e 19032 misc extra lsb-cxx_4.1+Debian10_amd64.deb
 45e45fe205187c66fe7dd863ded5b191 20250 misc extra lsb-desktop_4.1+Debian10_amd64.deb
 cec09e50a4d71ecb593df52718f04950 19066 misc extra lsb-languages_4.1+Debian10_amd64.deb
 a5dff9bd5b02f24ba986422f45d189ea 19032 misc extra lsb-multimedia_4.1+Debian10_amd64.deb
 6c30e6c238025d359d5e85d4b32b92c1 19058 misc extra lsb-printing_4.1+Debian10_amd64.deb
 5cab296a7d12a19d5adb616fdb2d85f7 19048 misc extra lsb-security_4.1+Debian10_amd64.deb
 86203ec360062f6b51fe9e465243b2d5 19026 misc extra lsb_4.1+Debian10_all.deb
 7566698566f4e22c88354977f47b7b33 26464 misc required lsb-base_4.1+Debian10_all.deb
 db5daf23294070cbe14797342c35c0ff 25976 misc optional lsb-release_4.1+Debian10_all.deb
 17dd7a5fdb2eb60da733565498de90a1 19412 misc extra lsb-invalid-mta_4.1+Debian10_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQGcBAEBCAAGBQJRk2rwAAoJEIvPpx7KFjRVZ5AMAIisgicsa34s8DJkXjjOBPa2
TZbfVVxNFasyox3ah33qFBJKAzf5MDFabn6XoppaZOSo3rBxFXm4HEPCv63YlvRP
lZEkWH5WWVGexHWhQb8P5tEKO6vhrRxoKOCzDhwkL6ugY2HSsDXj+p/nQr6heTQy
G7/9qZRkH1sE9Z9AWfjV66qaI2rdT1+o+rg6VqZCyiKaLW/X4T2YjC7tdKDrfM/Q
1SQhoQ06JpHZLcH07Kro1Kiq0DAP6siykKRVgRnMQGteYBmlQoTh40mj7hEB/6Sh
VD2l6f5iRpk3auWJKe2C4AeVkoXh2yX1/AQvrqvY7l2NJoKaNFzPjelkvPS1RZrb
Ge8VAF30smktcbjyrivnwwGtjtPOBjTiNDehIVTeTmuSWxL5eO+Lsk4jzPq97eNj
otYDPyrq+wEff+7jQIRVWSAZfJfxEDKbMIkb1bK2OYf5ITXonE1yr3w2qYzcU/bI
b46h/iOI1nOrjrRdoUkoLBpEN9vlVgrKpqg7HovC1Q==
=vrgK
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 14 Jul 2013 07:37:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:29:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.